Bug 507806 - S-c-tools cleanup: Sensitivity of OK buttons
S-c-tools cleanup: Sensitivity of OK buttons
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-audit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493593
  Show dependency treegraph
 
Reported: 2009-06-24 07:15 EDT by Roman Rakus
Modified: 2014-01-12 19:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 07:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-06-24 07:15:31 EDT
Description of problem:
OK buttons should be sensitive only if there are made any changes

How reproducible: 

Steps to Reproduce:
1. Configuration tab
2. Any Edit button
3. Dialog with OK button sensitive

Actual results:
OK button is sensitive even with no change made

Expected results:
OK button sensitive only after any change made

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Miloslav Trmač 2009-07-29 14:06:13 EDT
Why should OK not be sensitive?

Assuming an user opens a dialog, changes something, later returns to the setting and changes it again to the original value, the "OK" button will become insensitive, which would be quite confusing if the user did not realize the setting is now in the original value.  Letting the user always close the dialog with "OK" seems to be much simpler for the user.

(The GNOME HIG does not talk about this at all, as far as I can tell.)
Comment 2 Roman Rakus 2009-08-11 10:14:41 EDT
This is not mentioned in GNOME HIG and we are not strictly following GNOME HIG. This, let's say feature, is information for user. When OK is not sensitive, he knows, he didn't make any change.
OK is insensitive anytime he opens a dialog. Sensitive is only after he made a change in this dialog. When close it a open it again, OK is insensitive, because he dind't change now.
Comment 3 Bug Zapper 2009-11-16 05:23:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 06:59:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Miloslav Trmač 2010-11-04 07:07:06 EDT
Thanks for your report.  I'm afraid further development of s-c-audit was stopped and no significant changes are currently planned (but I'd be happy to apply patches).

Note You need to log in before you can comment on or make changes to this bug.